[MacPorts] #56758: Audacity needs rebuild after upgrading ffmpeg

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[MacPorts] #56758: Audacity needs rebuild after upgrading ffmpeg

MacPorts
#56758: Audacity needs rebuild after upgrading ffmpeg
-------------------------+----------------------
 Reporter:  rpspringuel  |      Owner:  RJVB
     Type:  enhancement  |     Status:  assigned
 Priority:  Low          |  Milestone:
Component:  ports        |    Version:  2.5.2
 Keywords:               |       Port:  audacity
-------------------------+----------------------
 After a recent upgrade from ffmpeg @3.4.2_0 to ffmpeg @4.0.1_0, Audacity
 could no longer find the ffmpeg library.  I was able to solve this by
 forcing audacity to be rebuilt with `port -ns upgrade --force audacity`.
 This suggests that the audacity needs to be built against the same version
 of ffmpeg as is currently available on the system (at least at the major
 version level, I don't know about the minor level or below).  Can that be
 added to the install notes for audacity?  It currently only mentions where
 to look for the dylib files, it makes no mention of the fact the needed
 version matching.

--
Ticket URL: <https://trac.macports.org/ticket/56758>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #56758: Audacity needs rebuild after upgrading ffmpeg

MacPorts
#56758: Audacity needs rebuild after upgrading ffmpeg
--------------------------+--------------------
  Reporter:  rpspringuel  |      Owner:  RJVB
      Type:  enhancement  |     Status:  closed
  Priority:  Low          |  Milestone:
 Component:  ports        |    Version:  2.5.2
Resolution:  fixed        |   Keywords:
      Port:  audacity     |
--------------------------+--------------------
Changes (by dbevans):

 * status:  assigned => closed
 * resolution:   => fixed


Comment:

 In [changeset:"60eb7b9625e4405c4a1452b2a164a6a080f2542e/macports-ports"
 60eb7b9625e4405c4a1452b2a164a6a080f2542e/macports-ports] (master):
 {{{
 #!ConfigurableCommitTicketReference repository="macports-ports"
 revision="60eb7b9625e4405c4a1452b2a164a6a080f2542e"
 audacity, audacity-devel: rebuild against ffmpeg 4.1

 Closes https://trac.macports.org/ticket/56758.
 }}}

--
Ticket URL: <https://trac.macports.org/ticket/56758#comment:1>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: [MacPorts] #56758: Audacity needs rebuild after upgrading ffmpeg

MacPorts
In reply to this post by MacPorts
#56758: Audacity needs rebuild after upgrading ffmpeg
--------------------------+--------------------
  Reporter:  rpspringuel  |      Owner:  RJVB
      Type:  enhancement  |     Status:  closed
  Priority:  Low          |  Milestone:
 Component:  ports        |    Version:  2.5.2
Resolution:  fixed        |   Keywords:
      Port:  audacity     |
--------------------------+--------------------

Comment (by RJVB):

 Thanks who ... FFmpeg for breaking ABI once again or David for fixing it?
 O:-)

--
Ticket URL: <https://trac.macports.org/ticket/56758#comment:2>
MacPorts <https://www.macports.org/>
Ports system for macOS